const filesToDelete = [
  'public/favicon.ico',
  'src/assets/logo.png',
  'src/views/About.vue',
  'src/components/HelloWorld.vue',
]

module.exports = (api, options) => {
  // add normalize
  api.extendPackage({
    dependencies: {
      'normalize.css': '*',
    },
  })
  api.injectImports(api.entryFile, `import 'normalize.css'`)

  // overwrite some files
  api.render('./template')
}

module.exports.hooks = (api) => {
  // delete unused files
  api.render((files) => {
    Object.keys(files)
      .filter((name) => filesToDelete.indexOf(name) > -1)
      .forEach((name) => delete files[name])
  })
}
